Bug 1023132 - Cannot save sessions
Cannot save sessions
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: scapy (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 13:03 EDT by Ralph Bean
Modified: 2015-12-02 11:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 22:00:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralph Bean 2013-10-24 13:03:40 EDT
Description of problem:

pickle raises an exception when trying to save a session


How reproducible:

Very.

Steps to Reproduce:
1. Run "scapy -s some_new_session_name"
2. Wait for the interpreter to start
3. Press ctrl-D 

Actual results:

scapy -s test3
INFO: New session [test3]
Welcome to Scapy (2.2.0)
>>> 
Traceback (most recent call last):
  File "/usr/bin/scapy", line 25, in <module>
    interact()
  File "/usr/lib/python2.7/site-packages/scapy/main.py", line 352, in interact
    save_session(conf.session, session)
  File "/usr/lib/python2.7/site-packages/scapy/main.py", line 129, in save_session
    cPickle.dump(to_be_saved, f, pickleProto)
TypeError: expected string or Unicode object, NoneType found


Expected results:

Save the session to 'test3'

Additional info:

If you try to reload 'test3' again afterwards, you get:

scapy -s test3
ERROR: Error opening session [test3]
Welcome to Scapy (2.2.0)
>>>
Comment 1 Ralph Bean 2014-04-08 17:45:24 EDT
Noting that I still see this issue on Fedora 20.
Comment 2 Ralph Bean 2015-05-14 17:11:30 EDT
Noting that I still see this issue on Fedora 21.
Comment 3 Fedora End Of Life 2015-11-04 06:58:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-01 22:00:54 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.